airflow-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] ashb edited a comment on issue #3660: [AIRFLOW-2817] Force explicit choice on GPL dependency
Date Wed, 01 Aug 2018 09:32:23 GMT
ashb edited a comment on issue #3660: [AIRFLOW-2817] Force explicit choice on GPL dependency
URL: https://github.com/apache/incubator-airflow/pull/3660#issuecomment-409513668
 
 
   If not I think vendoring python-nvd3 and slugify to use the non-GPL is probably the way
to go.
   
   (Or perhaps replacing python-nvd3 entirely. That's a bigger job though. https://medium.com/@Elijah_Meeks/introducing-semiotic-for-data-visualization-88dc3c6b6926
looks interesting ,but uses React (which is fine from a licensing PoV now.) Edit: If we did
use this I wouldn't suggest React-ifying the whole app, just the chart part of the page itself.
If that's possible.

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

Mime
View raw message